import request from '@/utils/request'
//获取用户基本信息，用来判断是否登录
export function getBaseInfo() {
    return request({
        url: '/platform/BaseController/getBaseUserInfo',
        method: 'post'
    })
}

export function getUserInfo(userName) {
    return request({
        url: '/platform/BaseController/getUserInfo',
        method: 'post',
        data : userName
    })
}

export function sendCheckCode(data) {
    return request({
        url: '/platform/BaseController/sendCheckCode',
        method: 'post',
        data : data
    })
}

export function validCheckCodeAndRegister(data) {
    return request({
        url: '/platform/BaseController/validCheckCode',
        method: 'post',
        data : data
    })
}

export function regist(data) {
    return request({
        url: '/platform/BaseController/regist',
        method: 'post',
        data : data
    })
}
export function getSecretByUser(userName) {
    return request({
        url: '/platform/BaseController/getSecretByUser',
        method: 'post',
        data : userName
    })
}

export function changPasswordBySecret(userName) {
    return request({
        url: '/platform/BaseController/changPasswordBySecret',
        method: 'post',
        data : userName
    })
}
